/// <reference types="react" />
declare type DrawerContextType = {
    activeItem?: string;
    onItemSelect?: (id: string) => void;
};
export declare const DrawerContext: import("react").Context<DrawerContextType>;
/**
 * useDrawerContext hook
 *
 * This hook will provide you with the activeItem that is set at the top-level of the Drawer. It also provides access
 * to the onItemSelect callback function. We expose this through a Context in order to avoid passing this prop
 * through every layer of the component hierarchy. This hook can only be called from within a
 * DrawerContext.Provider.
 */
export declare const useDrawerContext: () => DrawerContextType;
export {};
