"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderIcon = void 0;
const react_1 = __importDefault(require("react"));
const icon_1 = require("../icon");
const constants_1 = require("./constants");
const ColorContextProvider_1 = require("./contexts/ColorContextProvider");
/**
 * HeaderIcon component
 *
 * The HeaderIcon is a helper component that is used to properly size and space icons in the Header component.
 */
exports.HeaderIcon = (props) => {
    const { icon } = props;
    const { color } = ColorContextProvider_1.useColor();
    if (icon) {
        return react_1.default.createElement(icon_1.Icon, { source: icon, size: constants_1.ICON_SIZE, color: color, allowFontScaling: true });
    }
    return null;
};
