import * as React from 'react';
import { IconComponentProps, IconSource } from '../__types__';
export declare type IconProps = IconComponentProps & {
    source: IconSource;
    /**
     * @optional
     */
    theme?: ReactNativePaper.Theme;
};
/**
 * Icon component
 *
 * The Icon component is an internal utility component used to render icons inside of other components.
 * It standardizes the implementation of the icon and handles all of the different ways
 * to specify the icon without having to duplicate this logic inside of every component that
 * utilizes icons.
 */
export declare const Icon: React.FC<IconProps>;
