import React from 'react';
import { TypographyProps } from '../typography';
export declare type ListItemTagProps = TypographyProps & {
    /**
     * Background color for the label.
     *
     * Default: Theme.colors.primary
     **/
    backgroundColor?: string;
    /**
     * Text color for the label.
     *
     * Default: Theme.colors.onBackground for light background,
     * or white[50] on dark background
     */
    fontColor?: string;
    /** The label text. */
    label: string;
};
/**
 * [ListItemTag](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--list-item-tag) component
 *
 * This component is primarily used as a tag for list elements. It is a stylized
 * text item with a colored background and rounded corners.
 */
export declare const ListItemTag: React.FC<ListItemTagProps>;
