"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Spacer = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const spacerStyles = (props) => react_native_1.StyleSheet.create({
    root: {
        flex: props.flex,
        height: props.height || 'auto',
        width: props.width || 'auto',
    },
});
/**
 * [Spacer](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--spacer) component
 *
 * This is a helpful utility component for adding spacer elements
 * when working within flexbox containers. You can give it a flexible
 * or a fixed size.
 */
exports.Spacer = (props) => {
    const { children, style, styles = {}, 
    // ignore unused vars so that we can do prop transferring to the root element
    /* eslint-disable @typescript-eslint/no-unused-vars */
    flex, height, width, 
    /* eslint-enable @typescript-eslint/no-unused-vars */
    ...otherViewProps } = props;
    const defaultStyles = spacerStyles(props);
    return (react_1.default.createElement(react_native_1.View, Object.assign({ testID: 'spacer-root', style: [defaultStyles.root, styles.root, style] }, otherViewProps), children));
};
exports.Spacer.displayName = 'Spacer';
exports.Spacer.defaultProps = {
    flex: 1,
};
