import React from 'react';
import { Switch } from 'react-native-paper';
export declare type ThemedSwitchProps = React.ComponentProps<typeof Switch>;
/**
 * ThemedSwitch component
 *
 * This component is a wrapper around the React Native Paper [Switch](https://callstack.github.io/react-native-paper/switch.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedSwitch: React.FC<ThemedSwitchProps>;
